Get Parameterized Model Variable Names
curl --request GET \
--url https://api.ionworks.com/cells/{cell_spec_id}/parameterized_models/{parameterized_model_id}/variable-namesimport requests
url = "https://api.ionworks.com/cells/{cell_spec_id}/parameterized_models/{parameterized_model_id}/variable-names"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.ionworks.com/cells/{cell_spec_id}/parameterized_models/{parameterized_model_id}/variable-names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"<string>"
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}parameterized_models
Get Parameterized Model Variable Names
Get variable names where domain is empty or current collector.
This endpoint returns the names of all variables in the model where the domain is empty or “current collector” (i.e. they are functions of time only).
Parameters
parameterized_model_id : str ID of the parameterized model to fetch variables from supabase : Client Supabase client for database access
Returns
list[str] List of variable names with empty or current collector domain
Get Parameterized Model Variable Names
Path Parameters
Response
Successful Response
Was this page helpful?
⌘I